#
# Additional fetch steps to unpack the provided BIN file
#

cd $targetDir
case $srcFile in
	*.bin)
		srcFileBase=$(basename $srcFile .bin)
		if [ -r $targetDir/$neededFilename ]; then
			log "Needed tarball '$neededFilename' found in '$targetDir'"
		else
			/bin/bash $srcFile --auto-accept
			case $neededFilename in
				*.tar.bz2)	compress=j	;;
				*.tar.gz)	compress=z	;;
				*.tar.xz)	compress=J	;;
				*.tar)		compress=	;;
				*)			compress=J	;;
			esac
			log "Create the needed tarball: '$neededFilename'"
			tar c${compress}f $neededFilename $srcFileBase
			rm -rf $srcFileBase
		fi
		;;
esac 
