#! /bin/bash
# Script to run populate sysroot step

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

tempDir=/tmp/populate-$package_name.$$
rm -rf $tempDir # Just in case
mkdir -p $tempDir

# Give default values to parameters (:= if null or unset, = if only unset, variables must be defined)
: ${installDir:=$here/_install}
: ${omit_subpackages_from_sysroot:="doc test"}
: ${omit_packages_from_sysroot:=""}

PKG_INSTALL_LOC="$SYSROOT_LOC"
require_script "packaging_utils.sh"

echo "Populating sysroot '$SYSROOT_LOC'"

do_buildstep_prepend

if [ -z "$sysroot_packages" ]; then
	for pkgTarball in $tarballsDir/*.tar*; do
		if [ -r $pkgTarball ]; then
			binpkg=${pkgTarball%.tar*}
			binpkg=${binpkg##*/}
			if [[ " $omit_packages_from_sysroot " =~ " $binpkg " ]]; then continue; fi
			pkgname=${binpkg%%_*}
			pkgtype=${pkgname##*-}
			pkgname=${pkgname%-*}
			if [[ " $omit_subpackages_from_sysroot " =~ " $pkgtype " ]]; then continue; fi
			sysroot_packages="$sysroot_packages $binpkg"
		fi
	done
fi

echo "First suppress previously populated output from '$recipe_id'"
wipe_recipes_output "$recipe_id"

echo "Then install new content"
silent_exec require_packages $sysroot_packages

do_buildstep_append
