#!/bin/bash
# Script to run package configure
# Please edit this script to configure the package if needed

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

configure_other_flags="--prefix=/usr --openssldir=/etc/ssl --libdir=lib shared"
# Used to add no-ssl3; why?
# We can't add zlib-dynamic nor zlib as, for some reason, it does not find BIO_f_zlib...

MACHINE=${arch_compiler_prefix}
SYSTEM=Linux
RELEASE=4.0
VERSION=SW4L
BUILD=SW4L
CROSS_COMPILE=${arch_compiler_prefix}-
CC=gcc
RANLIB=${CROSS_COMPILE}ranlib

# RELEASE above should come from the chosen Linux kernel...

(
export MACHINE
export SYSTEM
export RELEASE
export VERSION
export BUILD
export CROSS_COMPILE
export CC
export RANLIB

echo "./config $configure_other_flags"
./config $configure_other_flags
)

do_make depend || true
